Subject: Re: Guestgroups

From: [email-masked]
Date: Wed, 11 Dec 1996 10:17:08 GMT

Remember when you chroot users there are various bits and pieces which need to
be available to each user in their own chrooted file system - they can't see the real /usr/lib stuff. They all need their own usr/lib files and dev/tcp and dev/zero and bin/ls and maybe even etc/passwd and etc/group if you want ls to show usernames and groups instead of uid and gid numbers.

You don't say what errors you get when you try to login as a guestgroup user.
Anything in /var/adm/messages ? 

Anthony

> All,
> 
> I've followed the instructions for setting up a guestgroup in Michael 
> Brennen's doc - BUT once I enter the guestgroup in ftpaccess file it will 
> not let that user log in. If I take out the guestgroup reference, it lets 
> the user log in as a normal user. I need the chroot() to happen so this 
> is no good to me!
> 
> I'm using wuftpd 2.4 (not beta II) - no need for the virtual stuff.
> I'm running on a SCO UNIX v5 system, but I don't think this is relevant.
> I searched the FAQ to no avail.
> 
> Thanks in advance
> Pete
> ______________________
> 
> Peter Harris
> Information Technologist
> Madge Europe
> email: [email-masked]
> tele: +44 1628 858587
> Int ext: 33857
> ______________________
> 
>